import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
import LinkBasic from '@s-ui/react-link-basic';

function ListLinkItem(_ref) {
  var displayInline = _ref.displayInline,
      item = _ref.item,
      useReactRouterLinks = _ref.useReactRouterLinks;
  var className = cx('sui-ListLink-item', {
    'sui-ListLink-item--inline': displayInline
  });
  return /*#__PURE__*/React.createElement("li", {
    className: className
  }, /*#__PURE__*/React.createElement(LinkBasic, Object.assign({}, item, {
    useReactRouterLinks: useReactRouterLinks
  })));
}

export default function ListLink(_ref2) {
  var displayInline = _ref2.displayInline,
      _ref2$list = _ref2.list,
      list = _ref2$list === void 0 ? [] : _ref2$list,
      useReactRouterLinks = _ref2.useReactRouterLinks;
  return /*#__PURE__*/React.createElement("ul", {
    className: "sui-ListLink"
  }, list.map(function (item, index) {
    return /*#__PURE__*/React.createElement(ListLinkItem, {
      key: index,
      item: item,
      displayInline: displayInline,
      useReactRouterLinks: useReactRouterLinks
    });
  }));
}
ListLink.displayName = 'ListLink';